--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "我的游戏"				-- 文本型	窗口标题
    t.window.width = 800			-- 数值型	宽度
    t.window.height = 600			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.math =			false		-- 逻辑型	数学运算
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------



------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	置背景色(122,122,122,255)
	--- 僵尸描边相关
	僵尸图片 = 创建图像("1_1.png")
	僵尸坐标 = {x=500,y=200}
	置过滤器("nearest","nearest")

	
	--- 仿DNF翻牌效果相关
	精灵A = 精灵:new(创建图像("46.png"),0,0,153,97)
	精灵A:置中心(76,48)

	精灵B = 精灵:new(创建图像("41.png"),0,0,153,97)
	精灵B:置中心(76,48)

	中间值 = 1
	反面值 = 1
	
	正面翻动 = true
	反面翻动 = false
	
	坐标 = {x=300,y=460}
	
	临时变量 = 2
	临时累积 = 0
	dts=0
	
	--进度条
	UI素材图片 = 创建图像("ui_default_loading_bar.png")
	滚动框背景精灵  = 精灵:new(UI素材图片,1,57,250,30)
	填充精灵 = 精灵:new(UI素材图片,1,29,26,26)
	填充头精灵 = 精灵:new(UI素材图片,84,30,7,24)
	滚动框显示坐标 = {x=300,y=100}
	
	标题提示 = "Loading..请稍后.."
	
	计次变量 = 0
	进度 = 0
	
	local f= 创建字体("Verdana.ttf", 14)
	--首先载入一个TTF文字文件，出于显示，这里用的字体是Verdana，游戏中，你可以使用中文字体
	置字体(f)
end
------------------------------------------

function 逻辑更新(dt)
dts=dt
	计次变量 = 计次变量 + dt*0.5
	
	if(计次变量 >= 1) then
		计次变量 =0
		进度= 进度 + 1
	end
	
	if(进度 == 1) then
		--注意这里的每个进度的分支都是只执行一次,可以动态的在这里初始化你的游戏资源.而不是在游戏启动前一次性加载..
		标题提示 = "加载地图资源.."
		elseif(进度 == 2) then
		标题提示 = "初始化其他资源.."
		elseif(进度 == 3) then
		进度 = 1
	end
end
------------------------------------------

function 画面显示()

	
	--- 进度条相关
	填充精灵:显示(滚动框显示坐标.x+2,滚动框显示坐标.y+2,0,计次变量*242/26,1)
	填充头精灵:显示(滚动框显示坐标.x+2+计次变量*242 -4,滚动框显示坐标.y+3)
	滚动框背景精灵:显示(滚动框显示坐标.x,滚动框显示坐标.y)
	
	画文本(标题提示,滚动框显示坐标.x+16,滚动框显示坐标.y+6)
	--让每次的标题提示都居中显示.
	
	--OPENGL下的混合效果不是很好。怀念DX的时光
	置混合模式("add")
	置颜色(255,255,0,255)
	绘制(僵尸图片,僵尸坐标.x-1,僵尸坐标.y-1,0,1.01,1.01)
	置颜色(255,255,255,255)
	置混合模式("alpha")
	
	绘制(僵尸图片,僵尸坐标.x,僵尸坐标.y)
	
	临时累积 =临时累积 + 临时变量

	if(临时累积 >= 250  or 临时累积 <= 1) then
		临时变量 = -临时变量
	end
	
	if(正面翻动) then
		中间值 = 中间值 - dts*3
		精灵A:显示(坐标.x,坐标.y,0,中间值,1)
		
		if(中间值 < 0.1) then
			反面翻动 = true
			正面翻动 = false
		end
		
		elseif(反面翻动) then
		
		中间值 = 中间值 + dts*3
		
		if(中间值 > 1) then
			中间值 = 1
			正面翻动 = true
			反面翻动 = false
		end
		
		精灵B:显示(坐标.x,坐标.y,0,中间值,1)
	end
end
------------------------------------------

function 键盘按下(key)

end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------